import { float2FixedPrecision } from './chunk-WFMW2YAA.mjs';
import { checkBoundaryPrecision } from './chunk-AD7ANKJD.mjs';
import { createOperationPrecision } from './chunk-ITZVOK4F.mjs';
import { digitLengthPrecision } from './chunk-HHTSEVTB.mjs';

// src/numberTimesPrecision.ts
var timesPrecision = createOperationPrecision((num1, num2) => {
  const num1Changed = float2FixedPrecision(num1);
  const num2Changed = float2FixedPrecision(num2);
  const baseNum = digitLengthPrecision(num1) + digitLengthPrecision(num2);
  const leftValue = num1Changed * num2Changed;
  checkBoundaryPrecision(leftValue);
  const baseNumPow = 10 ** baseNum;
  return leftValue / baseNumPow;
});

export { timesPrecision };
